Upstream information

CVE-2017-6596 at MITRE

Description

partclone.chkimg in partclone 0.2.89 is prone to a heap-based buffer overflow vulnerability due to insufficient validation of the partclone image header. An attacker may be able to launch a 'Denial of Service attack' in the context of the user running the affected application.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.30
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 1028904 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 42.1
  • partclone >= 0.3.5a-7.1
  • partclone-debuginfo >= 0.3.5a-7.1
  • partclone-debugsource >= 0.3.5a-7.1
  • partclone-lang >= 0.3.5a-7.1
Patchnames:
openSUSE-2017-389
openSUSE Leap 42.2
  • partclone >= 0.3.5a-2.3.1
  • partclone-debuginfo >= 0.3.5a-2.3.1
  • partclone-debugsource >= 0.3.5a-2.3.1
  • partclone-lang >= 0.3.5a-2.3.1
Patchnames:
openSUSE-2017-389